post
https://sandbox.saner.secpod.com/CHScanner/getCHScoreSummaryForDeviceWithStatus
This method fetches the cyber hygiene score, Saner Agent status, and hostnames for the given devices found in the Account.
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.CyberHygiene.getSummaryForDeviceWithStatus(
account_name="Default",
tags={
"condition": "[=] is one of",
"key": "location",
"value": [
"New York"
]
}
)
print(response)
client.close()Requires Python 3.9 or later.